document.addEventListener('DOMContentLoaded', function() {
    Array.from(document.getElementsByClassName('btn dropdown-toggle')).forEach(function(element) {
        element.addEventListener('click', function(event) {
            event.preventDefault();
        });
    });

    Array.from(document.getElementsByClassName('dropdown-menu')).forEach(function(menu) {
        Array.from(menu.getElementsByTagName('a')).forEach(function(element) {
            element.addEventListener('click', function(event) {
                var action = element.getAttribute('data-action');
                if (action) {
                    modelActions.execute(action);
                }
            });
        });
    });
});