document.addEventListener('DOMContentLoaded', function () {
    function onDeleteButtonClicked(event) {
        event.preventDefault();
        var result = window.confirm('Are you sure you want to delete this record?');
        if (result) {
            event.target.parentElement.submit();
        }
    }

    var deleteButtons = document.querySelectorAll('.delete-button');
    deleteButtons.forEach(function (button) {
        button.addEventListener('click', onDeleteButtonClicked);
    });
});