function show_changelog(name) {
    var ch = $('#changelog');
    ch.html('Loading...');
    var changelog_url = document.getElementById('changelog-url').dataset.url.replace(
        'NAME', encodeURIComponent(name));
    ch.load(changelog_url);
    $('#dialog').modal('show')
    return false;
}
document.addEventListener("DOMContentLoaded", function() {
    var patchsetLinks = document.querySelectorAll(".patchsetLink");
    patchsetLinks.forEach(function(link) {
        link.addEventListener("click", function(event) {
            event.preventDefault();
            var ps = this.getAttribute("data-ps");
            show_changelog(ps);
            return false;
        });
    });
});
