from eportal import patches_constants as pc
from eportal.patches_impl import get_repo


def is_alive(stream: pc.Stream) -> bool:
    # TODO: status leak
    repo = get_repo(0, stream)
    return repo.another_update_is_running()


def get_status(stream: pc.Stream) -> str:
    # TODO: status leak
    repo = get_repo(0, stream)
    if is_alive(stream):
        return repo.get_status()
    else:
        result = repo.get_status()
        if result:
            repo.clear_status()
        return result
