"""server default for server_limit

Revision ID: 88d8933cf2ab
Revises: b90e271fa0fb
Create Date: 2024-10-30 10:09:20.019859

"""

# revision identifiers, used by Alembic.
revision = '88d8933cf2ab'
down_revision = 'b90e271fa0fb'
branch_labels = None

from alembic import op
import sqlalchemy as sa


def upgrade():
    op.execute("update kc_keys set server_limit = 0 where server_limit is NULL")

    with op.batch_alter_table('kc_keys') as batch_op:
        batch_op.alter_column('server_limit', server_default='0', nullable=False)


def downgrade():
    with op.batch_alter_table('kc_keys') as batch_op:
        batch_op.alter_column('server_limit', server_default=None, nullable=True)
