from typing import Any, Callable, TypeVar

from typing_extensions import Protocol

F = TypeVar('F', bound=Callable[..., Any])

class ValidationDecorator(Protocol):
    def __call__(self, *args: Any, **kwargs: Any) -> Callable: ...

def query_string(*args: Any, **kwargs: Any) -> Callable[[F], F]: ...
def json_body(*args: Any, **kwargs: Any) -> Callable[[F], F]: ...
def params(*args: Any, **kwargs: Any) -> Callable[[F], F]: ...
def form(*args: Any, **kwargs: Any) -> Callable[[F], F]: ...
def mergeof(*vdecorators: ValidationDecorator) -> ValidationDecorator: ...
def args(*args: Any, **kwargs: Any) -> Callable[[F], F]: ...
