from typing import TypeVar, Callable
from typing_extensions import ParamSpec
from flask import Flask
from flask_admin.base import BaseView

P = ParamSpec('P')
R = TypeVar('R', covariant=True)

class AdminIndexView(BaseView): ...

class Admin:
    index_view: AdminIndexView

    def __init__(self, app: Flask, index_view: AdminIndexView, template_mode: str, base_template: str): ...
    def add_view(self, view: BaseView) -> None: ...

def expose(rule: str) -> Callable[[Callable[P, R]], Callable[P, R]]: ...
