from typing import Any, Optional

from flask import Response

class BaseView:
    def render(self, template: str, **kwargs: Any) -> Response: ...
    def inaccessible_callback(self, name: str, **kwargs: Any) -> Response: ...
    def _handle_view(self, name: str, **kwargs: Any) -> Optional[Response]: ...
