from typing import TypeVar, Generic, Union, Any
from sqlalchemy.orm import InstrumentedAttribute

T = TypeVar('T')

class BaseSQLAFilter(Generic[T]):
    def __init__(self, column: Union[str, InstrumentedAttribute[T]], name: str): ...
    name: str
    column: Any

class IntGreaterFilter(BaseSQLAFilter): ...
class FilterEqual(BaseSQLAFilter): ...
class FilterLike(BaseSQLAFilter): ...
class DateEqualFilter(BaseSQLAFilter): ...
class DateGreaterFilter(BaseSQLAFilter): ...
class DateSmallerFilter(BaseSQLAFilter): ...
