from typing import Callable, TypeVar

from typing_extensions import ParamSpec
from flask_login import current_user, config, login_user, logout_user, LoginManager, UserMixin

P = ParamSpec('P')
T = TypeVar('T')

def login_required(func: Callable[P, T]) -> Callable[P, T]: ...

__all__ = ['current_user', 'config', 'login_user', 'logout_user', 'LoginManager', 'UserMixin']
